/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var _this;
var app = {
    // Application Constructor
    initialize: function() {

		this.receivedEvent();
		
       // document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },

    // Update DOM on a Received Event
    receivedEvent: function(id) {
       
		
		//Initializing Phaser...
        var game = new Phaser.Game(960,540,Phaser.CANVAS,'');

     
        game.state.add('boot',Game.boot);
        game.state.add('preloader',Game.preloader);
        game.state.add('nsd5_5level1',Game.nsd5_5level1);
        game.state.add('nsd5_5Score',Game.nsd5_5Score);
  
		window.videoFinished = false;
  		window.loadingFinished = false;

  		window.parent = document.getElementById('demo_video');
  		window.demo = document.getElementById('demo');
		window.demo.playbackRate=0.9;
  		window.skipArrowParent = document.getElementById('skipBtn');
  		window.skipArrow = document.getElementById('skipArrow');
  		//window.demo.src = "demo-old.mp4";
  		//window.demo.loop = false;
  		//window.demo.muted = true;
  		//window.demo.preload = "none";
  		//window.demo.play();
		window.skipArrowParent.right = "200px";
		window.skipArrowParent.left = "200px";
		
		this.playDemoVideos();
		
		/*var t1=5000;
		var t2=60000;
		

		/*setTimeout(function(){
			app.pauseDemoVoice();
		},t1);
		
		setTimeout(function(){
			app.resumeDemoVoice();	
		},t2);*/
		
		
  		
  		window.demo.addEventListener('ended',function(){
  			window.videoFinished = true;
  			if(window.videoFinished && window.loadingFinished){
				window.demo.pause();
				window.demo.src = "";
				window.demo.remove();
				window.parent.remove();
				window.skipArrow.remove();
				window.skipArrow = null;
				window.skipArrowParent.remove();
				window.skipArrowParent = null;
				window.demo = null;
				window.parent = null;
				app.stopDemoVoice();
				game.state.start('nsd5_5level1',true,false);
			} 
		},false);
		
		
		game.state.start('boot');

		},
		playDemoVideos:function(target){
		// console.log("QQQQQQQQQQQQQQQQQQQQQQ "+target);
        //_this.stopvoice();
        this.playQuestionSound = document.createElement('audio');
		
        this.src = document.createElement('source');
        this.src.setAttribute("src", "questionSounds/Hindi/nsd5.5aH.mp3");
                    
        this.playQuestionSound.appendChild(this.src);
        this.playQuestionSound.play();
    },
	

	pauseDemoVoice:function(){
            if(this.playQuestionSound)
		   {
			
			if(!this.playQuestionSound.paused)
			{
				this.playQuestionSound.pause();
				//_this.playQuestionSound.currentTime = 0.0;
			}
		}
	},

	resumeDemoVoice:function(){
            if(this.playQuestionSound)
		   {
			
			if(this.playQuestionSound.paused)
			{
				this.playQuestionSound.play();
				//_this.playQuestionSound.currentTime = 0.0;
			}
		}
	},
		

	stopDemoVoice:function(){
            if(this.playQuestionSound)
		   {
			if(this.playQuestionSound.contains(this.src))
			{
				this.playQuestionSound.removeChild(this.src);
				this.src = null;
			}
			if(!this.playQuestionSound.paused)
			{
				this.playQuestionSound.pause();
				this.playQuestionSound.currentTime = 0.0;
			}
			this.playQuestionSound = null;
			this.src = null;
		}
	},
	
	
};
		
		//initializing/creating sqlite database for storing the telemetry data.  
		//absdsjsapi.initializeDS();
		
		//starting the boot state of the game.
		

app.initialize();